> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Record Agreement Acceptance

> Record the acceptance of a specific agreement by its ID



## OpenAPI

````yaml /openapi.yaml post /agreements/{agreementId}/accept
openapi: 3.1.0
info:
  version: 1.807.0
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /agreements/{agreementId}/accept:
    post:
      tags:
        - Agreements
      summary: Record Agreement Acceptance
      description: Record the acceptance of a specific agreement by its ID
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: agreementId
          in: path
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  agreementId:
                    type: string
                  userId:
                    type: string
                  dateAccepted:
                    type: string
                required:
                  - agreementId
                  - userId
                  - dateAccepted
                additionalProperties: false
      security:
        - authenticationToken: []
          userActionSignature: []
components:
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)
    userActionSignature:
      type: apiKey
      in: header
      name: X-DFNS-USERACTION
      description: >-
        **User Action Signature:** Used to sign the change-inducing API
        requests.

        More details how to generate the token: [User Action Signing
        flows](https://docs.dfns.co/api-reference/auth/signing-flows)

````